org.richfaces.ui.output.component

## Class UILegend

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractChartLegend
      - - org.richfaces.ui.output.component.UILegend

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UILegend
      extends AbstractChartLegend

  Author:
    Lukas Macko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UILegend.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.AbstractChartLegend

      `AbstractChartLegend.PositionType, AbstractChartLegend.SortingType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UILegend()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `AbstractChartLegend.PositionType` | `getPosition()` Chart legend position allowed values: nw - top left sw - bottom left ne - top right (default) se - bottom right
    `AbstractChartLegend.SortingType` | `getSorting()` The attribute defines the order of series labels in legend.
    `void` | `setPosition(AbstractChartLegend.PositionType position)`
    `void` | `setSorting(AbstractChartLegend.SortingType sorting)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UILegend

          public UILegend()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getPosition

          public AbstractChartLegend.PositionType getPosition()

      Description copied from class: `AbstractChartLegend`
      Chart legend position allowed values:
      - nw - top left
      - sw - bottom left
      - ne - top right (default)
      - se - bottom right
      Specified by:
        `getPosition` in class `AbstractChartLegend`

    - #### setPosition

          public void setPosition(AbstractChartLegend.PositionType position)

    - #### getSorting

          public AbstractChartLegend.SortingType getSorting()

      Description copied from class: `AbstractChartLegend`
      The attribute defines the order of series labels in legend. If not specified the order labels is the same as the order of series in facelet. Allowed values:
      - ascending
      - descending
      Specified by:
        `getSorting` in class `AbstractChartLegend`

    - #### setSorting

          public void setSorting(AbstractChartLegend.SortingType sorting)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.